NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::PlacePartBuilder Class Reference


To create a new instance of this class, use NXOpen::Routing::RouteManager::CreatePlacePartBuilderPTS

Created in NX7.5.0. More...

Inheritance diagram for NXOpen::Routing::PlacePartBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void FinalizePlacement (NXOpen::Routing::CharacteristicList *optionalCharx, NXOpen::Routing::CharacteristicList *requiredCharx, const NXString &name, int layerOption, int layer, bool dfaultOStock)
 Complete the placement operation. More...
 
void FinalizePlacement (NXOpen::Routing::CharacteristicList *optionalCharx, NXOpen::Routing::CharacteristicList *requiredCharx, const char *name, int layerOption, int layer, bool dfaultOStock)
 Complete the placement operation. More...
 
bool GetAddPartToActiveRunFlag ()
 Determines whether part being placed has to be added in active run or not. More...
 
void GetLoadedPartInfo (NXOpen::TaggedObject **loadedPart, NXOpen::TaggedObject **loadedInst)
 Get information about the parts being placed. More...
 
NXOpen::Vector3d GetScrewSeatAlignmentVector ()
 Gets the alignment vector, primary axis direction for a stock, reducer, elbow, etc. More...
 
NXOpen::ExpressionGetScrewSeatAngle ()
 Gets the angle expression to be used for screw seat placement along a placed object. More...
 
NXOpen::Point3d GetScrewSeatEnd ()
 Gets the point from builder, used in final placement of screw seat. More...
 
NXOpen::Point3d GetScrewSeatIntersectionPoint ()
 Gets information about the final screw seat position. More...
 
NXOpen::ExpressionGetScrewSeatLength ()
 Gets the length expression to be used for screw seat placement along a placed object. More...
 
void LoadPart (const NXString &partNumber)
 Load a part given the input part number. More...
 
void LoadPart (const char *partNumber)
 Load a part given the input part number. More...
 
void LoadPart ()
 Load the specified part. More...
 
void ReplaceLoadedInstance (NXOpen::TaggedObject *partInst)
 Replace the builder's part instance with a new instance. More...
 
void SetActiveLayer (int layerOption, int layer)
 Set the layer for the loaded part. More...
 
void SetActiveRefSet (const NXString &refSet)
 Set the reference set to use for the loaded part. More...
 
void SetActiveRefSet (const char *refSet)
 Set the reference set to use for the loaded part. More...
 
void SetAddPartToActiveRunFlag (bool addPartToActiveRun)
 Set a flag which tells the builder whether the part being placed will be added in active run or not. More...
 
void SetAttributeHolder (NXOpen::Routing::AttributeHolder *attributeHolder)
 Sets Attribute holder in builder, which is user for template attribute assignment. More...
 
void SetConsiderPorts (bool considerPorts)
 Set a flag which will inform the placement solutions builder to consider ports when computing placement solutions during a replace part operation. More...
 
void SetItemSelection (int itemSelectionMethod, NXOpen::TaggedObject *selectedPartOcc)
 Set a flag which tells the builder from where the part being placed was selected and the tag of the selected part. More...
 
void SetLoadedPartInfo (NXOpen::TaggedObject *loadedPart, NXOpen::TaggedObject *loadedInst)
 Get information about the parts being placed. More...
 
void SetPlacePartOperation (bool replacePart)
 Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly. More...
 
void SetScrewSeatAlignmentVector (const NXOpen::Vector3d &alignVector)
 Sets the alignment vector, primary axis direction for a stock, reducer, elbow, etc. More...
 
void SetScrewSeatEnd (const NXOpen::Point3d &point)
 Sets a point in builder, which is required for final placement of screw seat. More...
 
void SetScrewSeatIntersectionPoint (const NXOpen::Point3d &intersectionPoint)
 Sets the final position of screw seat. More...
 
void SetScrewSeatPlacement (NXOpen::TaggedObject *startLocation, NXOpen::TaggedObject *endLocation, const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint, NXOpen::Expression *length, NXOpen::Expression *angle)
 Sets the input parameters to be used for measurement holder screw seats. More...
 
void UnloadPart ()
 Update the loaded part with a new placement location and object. More...
 
void UpdatePlacementObj (NXOpen::TaggedObject *placementObj, const NXOpen::Point3d &placementPos)
 Update the loaded part with a new placement location and object. More...
 
void UpdateRoutingTemplateAttributes ()
 Updates the Routing Template Attributes to AttributeHolder
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::Routing::RouteManager::CreatePlacePartBuilderPTS

Created in NX7.5.0.


Member Function Documentation

void NXOpen::Routing::PlacePartBuilder::FinalizePlacement ( NXOpen::Routing::CharacteristicList optionalCharx,
NXOpen::Routing::CharacteristicList requiredCharx,
const NXString name,
int  layerOption,
int  layer,
bool  dfaultOStock 
)

Complete the placement operation.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
optionalCharxOptional Charx to apply.
requiredCharxRequired Charx to apply.
nameThe component name to apply to the part.
layerOptionThe layer option.
layerThe layer to apply.
dfaultOStockAssign overstock to a fitting when a default is defined.
void NXOpen::Routing::PlacePartBuilder::FinalizePlacement ( NXOpen::Routing::CharacteristicList optionalCharx,
NXOpen::Routing::CharacteristicList requiredCharx,
const char *  name,
int  layerOption,
int  layer,
bool  dfaultOStock 
)

Complete the placement operation.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
optionalCharxOptional Charx to apply.
requiredCharxRequired Charx to apply.
nameThe component name to apply to the part.
layerOptionThe layer option.
layerThe layer to apply.
dfaultOStockAssign overstock to a fitting when a default is defined.
bool NXOpen::Routing::PlacePartBuilder::GetAddPartToActiveRunFlag ( )

Determines whether part being placed has to be added in active run or not.

Returns

Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacePartBuilder::GetLoadedPartInfo ( NXOpen::TaggedObject **  loadedPart,
NXOpen::TaggedObject **  loadedInst 
)

Get information about the parts being placed.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
loadedPartThe PART object of the loaded part.
loadedInstThe Instance object of the loaded part.
NXOpen::Vector3d NXOpen::Routing::PlacePartBuilder::GetScrewSeatAlignmentVector ( )

Gets the alignment vector, primary axis direction for a stock, reducer, elbow, etc.

along the part the screw seat is placed to align the screw seat. Optional, otherwise an arbitrary vector will be constructed.

Returns
The alignment vector along the part on which screw seat is placed.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::PlacePartBuilder::GetScrewSeatAngle ( )

Gets the angle expression to be used for screw seat placement along a placed object.

Returns
The angle used for screw seat placement on placed routing object.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Point3d NXOpen::Routing::PlacePartBuilder::GetScrewSeatEnd ( )

Gets the point from builder, used in final placement of screw seat.

This point is used for creating segemnts / constraints when finally placing the screw seat.

Returns
This is the internal point used in determining final position of screw seat placement.
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Point3d NXOpen::Routing::PlacePartBuilder::GetScrewSeatIntersectionPoint ( )

Gets information about the final screw seat position.

Returns
The final position of screw seat placement.
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Expression* NXOpen::Routing::PlacePartBuilder::GetScrewSeatLength ( )

Gets the length expression to be used for screw seat placement along a placed object.

Returns
The length used for screw seat placement on placed routing object.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacePartBuilder::LoadPart ( const NXString partNumber)

Load a part given the input part number.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
partNumberPart number
void NXOpen::Routing::PlacePartBuilder::LoadPart ( const char *  partNumber)

Load a part given the input part number.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
partNumberPart number
void NXOpen::Routing::PlacePartBuilder::LoadPart ( )

Load the specified part.


Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::PlacePartBuilder::ReplaceLoadedInstance ( NXOpen::TaggedObject partInst)

Replace the builder's part instance with a new instance.

This is used when the assemblies absolute positioning method is used. It will create it's own part instance and we need make sure the builder has the new one.
Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
partInstThe instance object of the loaded part.
void NXOpen::Routing::PlacePartBuilder::SetActiveLayer ( int  layerOption,
int  layer 
)

Set the layer for the loaded part.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
layerOptionLayer Option
layerLayer Number
void NXOpen::Routing::PlacePartBuilder::SetActiveRefSet ( const NXString refSet)

Set the reference set to use for the loaded part.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
refSetReference Set Name
void NXOpen::Routing::PlacePartBuilder::SetActiveRefSet ( const char *  refSet)

Set the reference set to use for the loaded part.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
refSetReference Set Name
void NXOpen::Routing::PlacePartBuilder::SetAddPartToActiveRunFlag ( bool  addPartToActiveRun)

Set a flag which tells the builder whether the part being placed will be added in active run or not.


Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
addPartToActiveRunaddparttoactiverun
void NXOpen::Routing::PlacePartBuilder::SetAttributeHolder ( NXOpen::Routing::AttributeHolder attributeHolder)

Sets Attribute holder in builder, which is user for template attribute assignment.


Created in NX8.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
attributeHolderObject to hold template attributes
void NXOpen::Routing::PlacePartBuilder::SetConsiderPorts ( bool  considerPorts)

Set a flag which will inform the placement solutions builder to consider ports when computing placement solutions during a replace part operation.

Setting this to false implies that the first placement solution computed is to maintain the origin and orientation of the part being replaced. Setting this to true implies that the first placement solution computed is to maintain the location of the original part's ports.
Created in NX11.0.1.

License requirements : routing_base ("Routing Basic")

Parameters
considerPortsconsiderports
void NXOpen::Routing::PlacePartBuilder::SetItemSelection ( int  itemSelectionMethod,
NXOpen::TaggedObject selectedPartOcc 
)

Set a flag which tells the builder from where the part being placed was selected and the tag of the selected part.


Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
itemSelectionMethodThe enum representing the way of selection of part to be placed.
selectedPartOccThe tag of the part occurrence selected from specify item dialog.
void NXOpen::Routing::PlacePartBuilder::SetLoadedPartInfo ( NXOpen::TaggedObject loadedPart,
NXOpen::TaggedObject loadedInst 
)

Get information about the parts being placed.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
loadedPartThe PART object of the loaded part.
loadedInstThe Instance object of the loaded part.
void NXOpen::Routing::PlacePartBuilder::SetPlacePartOperation ( bool  replacePart)

Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly.


Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
replacePartTrue if replace part operation.
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatAlignmentVector ( const NXOpen::Vector3d alignVector)

Sets the alignment vector, primary axis direction for a stock, reducer, elbow, etc.

along the part the screw seat is placed to align the screw seat. Optional, otherwise an arbitrary vector will be constructed.
Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
alignVectorThe alignment vector along the part on which screw seat is placed.
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatEnd ( const NXOpen::Point3d point)

Sets a point in builder, which is required for final placement of screw seat.

This point is used for creating segments / constraints when finally placing the screw seat.
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
pointThis is the internal point used in determining final position of screw seat placement.
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatIntersectionPoint ( const NXOpen::Point3d intersectionPoint)

Sets the final position of screw seat.

This is required in builder when doing finalize placement after (OK/Apply) .
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
intersectionPointThe final position of screw seat placement.
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatPlacement ( NXOpen::TaggedObject startLocation,
NXOpen::TaggedObject endLocation,
const NXOpen::Point3d startPoint,
const NXOpen::Point3d endPoint,
NXOpen::Expression length,
NXOpen::Expression angle 
)

Sets the input parameters to be used for measurement holder screw seats.


Created in NX10.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
startLocationThe start port to determine screw seat placement.
endLocationThe end port to determine screw seat placement.
startPointThe start position to determine screw seat placement.
endPointThe end position to determine screw seat placement.
lengthThe length along the axis to place screw seat.
angleThe angle along the axis to place screw seat.
void NXOpen::Routing::PlacePartBuilder::UnloadPart ( )

Update the loaded part with a new placement location and object.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::PlacePartBuilder::UpdatePlacementObj ( NXOpen::TaggedObject placementObj,
const NXOpen::Point3d placementPos 
)

Update the loaded part with a new placement location and object.


Created in NX7.5.0.

License requirements : routing_base ("Routing Basic")

Parameters
placementObjNew object to attach to. Can bee NULL.
placementPosThe new location for the part.
void NXOpen::Routing::PlacePartBuilder::UpdateRoutingTemplateAttributes ( )

Updates the Routing Template Attributes to AttributeHolder
Created in NX11.0.0.



License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.